/*
 File: la_lrk_Tsym.cpp
 Date and Time: Fri Jan 30 18:55:14 2015 
*/
#include "la_lrk_T.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_la_lrk_T;// grammar's ns
// first set terminals
yacco2::THR _YACCO2_CALL_TYPE
NS_la_lrk_T::TH_la_lrk_T(yacco2::Parser* Caller_pp){
  yacco2::Thread_entry& pp_thread_entry = ITH_la_lrk_T;
  NS_la_lrk_T::Cla_lrk_T Cla_lrk_T_;// parallel-parser's parse table
#define ssPARSE_TABLE Cla_lrk_T_
#include "wpp_core.h"
}
THR_result _YACCO2_CALL_TYPE
NS_la_lrk_T::PROC_TH_la_lrk_T(yacco2::Parser* Caller_pp){
  char called_proc_name[] = "PROC_TH_la_lrk_T";
  static bool one_time(false);
  static NS_la_lrk_T::Cla_lrk_T* NS_la_lrk_T_Cla_lrk_T_(0);// parallel-parser's fsm table
  static Parser* NS_la_lrk_T_Cla_lrk_T_parser(0);
  Parser* proc_parser(0);
  if(one_time == false){
    one_time = true;
    NS_la_lrk_T_Cla_lrk_T_ = new NS_la_lrk_T::Cla_lrk_T();// parallel-parser's fsm table
    NS_la_lrk_T_Cla_lrk_T_parser = new Parser(*NS_la_lrk_T_Cla_lrk_T_,Caller_pp);
  }
 proc_parser = NS_la_lrk_T_Cla_lrk_T_parser;
#include "wproc_pp_core.h"
}
void 
Cla_lrk_T::reduce_rhs_of_rule
    (yacco2::UINT Sub_rule_no,yacco2::Rule_s_reuse_entry** Recycled_rule){
   int reducing_rule = rhs_to_rules_mapping_[Sub_rule_no];
   Per_rule_s_reuse_table* rule_reuse_tbl_ptr = 
        fsm_rules_reuse_table.per_rule_s_table_[reducing_rule];
   Rule_s_reuse_entry* re(0);
   find_a_recycled_rule(rule_reuse_tbl_ptr,&re);
   (*Recycled_rule) = re;
   fnd_re: switch (Sub_rule_no){
    case rhs1_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr1();
     return;}
    case rhs2_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr2();
     return;}
    case rhs3_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr3();
     return;}
    case rhs4_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr4();
     return;}
    case rhs5_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr5();
     return;}
    case rhs6_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr6();
     return;}
    case rhs7_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr7();
     return;}
    case rhs8_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr8();
     return;}
    case rhs9_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr9();
     return;}
    case rhs10_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr10();
     return;}
    case rhs11_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr11();
     return;}
    case rhs12_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr12();
     return;}
    case rhs13_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 3;
    

     sym->sr13();
     return;}
    case rhs14_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr14();
     return;}
    case rhs15_Rla_lrk_T_:{
       Rla_lrk_T* sym;
     if(re->rule_ == 0){
       sym = new Rla_lrk_T(parser__);
       re->rule_ = sym;
     }else{
       sym = (Rla_lrk_T*)re->rule_;
     }
    // no rule's constructor directive
     (*Recycled_rule)->rule_ = sym;
     sym->rule_info__.rhs_no_of_parms__ = 5;
    

     sym->sr15();
     return;}
    default: return;
   }
}
